module JunglePath
	require 'jungle_path/authentication/data_provider/default'
	module API
		module Helpers
			module Auth
				def authenticate auth_provider, data_provider, no_cache=false
					puts "Auth.authenticate"
					#data_provider = JunglePath::Authentication::DataProvider::Default.new unless data_provider
					#auth_provider = JunglePath::Authentication::AuthProvider::Default.new unless auth_provider
					@current_identity = auth_provider.authenticate(request, data_provider, no_cache)
					halt 401 unless @current_identity and @current_identity.valid?
					request.body.rewind
				end

				def current_identity
					@current_identity
				end

				def current_user
					@current_identity and @current_identity.user
				end

				def current_key
					@current_identity and @current_identity.key
				end

				def current_role
					@current_identity and @current_identity.role
				end

				def current_auth
					@current_identity and @current_identity.authorization_filter
				end

				def current_query_filters
					@current_identity and @current_identity.query_filters
				end
			end
		end
	end
end
