require 'jungle_path/json'

module JunglePath
	module API
		module Helpers
			module Result
				def handle_result(item)
					# handles the api result (converts to json).
					halt 404 unless item
					return JunglePath::Json.dump item if item.class == Array or item.class == Hash
					return item.to_json if item
				end
			end
		end
	end
end
