# (data) db.rb - db access layer...
require 'singleton'
require 'jungle_path/db_access'
require_relative '../config/config' # contains all settings (except sensitive data set to nil -- set sensitive data in override.rb.

module Server
  class DB < JunglePath::DBAccess::IO::DB
    include Singleton
    def initialize
      super jungle.db
    end
  end
end
