require 'twilio-ruby'
require_relative '../config/config'

module Services
	module SMS
		def self.send account_sid, auth_token, from_phone, to_phone, message
			client = Twilio::REST::Client.new account_sid, auth_token
			client.account.messages.create(
				to: to_phone,
				from: from_phone,
				body: message
			)
		#rescue => e
		#	puts "SMS.send: #{e}!"
		end
	end
end
