module JunglePath
  module Authentication
		class Identity
			attr_accessor :remote_user, :remote_password, :user_name, :user, :key, :valid, :role, :authorization_filter, :query_filters, :table_filters
			def to_s
				"JunglePath::Authentication::Identity: {\n  remote_user: #{@remote_user},\n  remote_password: #{@remote_password},\n  user_name: #{@user_name},\n  user: #{@user},\n  key: #{@key},\n  valid: #{@valid},\n  role: #{@role},\n  authorization_filter: #{@authorization_filter}\n,query_filters: #{@query_filters},\ntable_filters: #{@table_filters},\nalternative_user_keys: #{@alternative_user_keys}}"
			end
      def to_h
        {
          remote_user: @remote_user,
          remote_password: @remote_password,
          user_name: @user_name,
          user: @user,
          key: @key,
          valid: @valid,
          role: @role,
          authorization_filter: @authorization_filter,
          query_filters: @query_filters,
          table_filters: @table_filters,
          alternative_user_keys: @alternative_user_keys
        }
      end
      def alternative_user_keys
        return @alternative_user_keys if @alternative_user_keys
        @alternative_user_keys = {user_id: @user.id} if @user
        @alternative_user_keys
      end
      def alternative_user_keys= value
        @alternative_user_keys = value
      end
      def to_hash
        to_h
      end
			def valid?
				@valid
			end
		end
	end
end
