module JunglePath
	module DBAccess
		require 'jungle_path/db_access/io/db'

		module Import
			require 'jungle_path/db_access/import'

			class Schema
				def initialize(config, logger=nil)
					@logger = logger
					@path = config.import_file_path
					#@db = nil
					#if config.postgresql
					#	@db = JunglePath::DBAccess::IO::DB.new(config.postgresql, @logger)
					#end
				end

				def drop_table(table_class)
					file_name = JunglePath::DBAccess::Import.data_file_name(@path, table_class.table_name)
					File.delete file_name if File.exist?(file_name)
					#if @db
					#	@db.schema.drop_table(table_class)
					#end
				end

				def create_table(table_class)
					raise 'create_table method not implemented'
					#if @db
					#	@db.schema.create_table(table_class)
					#end
				end
			end
		end
	end
end
