require 'jungle_path/time'

module JunglePath
	module File
		def self.add_timestamp_to_file_name file_name, post_fix=true
			stamp = JunglePath::Time.utc_timestamp

			path_parts = file_name.split('/')

			parts = path_parts[-1].split('.')
			if post_fix
				parts[0] = "#{parts[0]}_#{stamp}"
			else
				parts[0] = "#{stamp}_#{parts[0]}"
			end

			path_parts[-1] = parts.join('.')
			path_parts.join('/')
		end
	end
end
