# query.rb
#require 'pry-byebug'
#require 'pp'
#use: binding.pry where you want a break point.
require 'set'

module JunglePath
  module Query
    class Field
      attr_accessor :name, :node, :parent
      def initialize(name, node, parent, is_secure = false)
        @name = name.downcase.to_sym
        @node = node
        @parent = parent
        @is_secure = is_secure
      end
      def is_entity?
        false
      end
      def is_primary_key_column?
        false
      end
      def is_secure?
        @is_secure
      end
    end
  end
end
