# query.rb
#require 'pry-byebug'
#require 'pp'
#use: binding.pry where you want a break point.
require 'set'

module JunglePath
  module Query
    class Query
      attr_reader :root, :sql, :values, :aliases, :symbols, :sort_ids, :primary_key_field_count, :apply_limit_offset_to_sql
      def initialize(root, sql, values, aliases, symbols, sort_ids, primary_key_field_count, apply_limit_offset_to_sql=false)
        @root = root
        @sql = sql
        @values = values
        @aliases = aliases
        @symbols = symbols
        @sort_ids = sort_ids
        @primary_key_field_count = primary_key_field_count
        @apply_limit_offset_to_sql = apply_limit_offset_to_sql
      end
    end
  end
end
