module Schema
  # schema meta data:

  def self.version
    # Specify database version number.
    # This version number will be used to apply database
    # migrations.
    # If the configatron.db.name does not exist, then
    # this schema is applied directly and the appropriate
    # version number is recorded in the database.
    # Version of nil will run all available migrations
    #1
    nil
  end

  def self.migrations_path
    ::File.expand_path('../ztools/db/migrations',::File.dirname(__FILE__))
  end
end
