require 'jungle_path/sql/helpers'

module JunglePath
	module SQL
		module Role
	    def self.by_user db, user
				sql = JunglePath::SQL::Helpers.sql("
					select
						a.id,
						a.name,
						a.description
					from role a
					join user_role b on a.id = b.role_id
					where b.user_id = ?
				")

				ds = db.base[sql, user.id]
				result = ds.all
				array = []
				result.each do |row|
					array << ({id: row[:id], name: row[:name], description: row[:description]})
				end
				array
			end
		end
	end
end
