require 'zlib'
require 'logger'

module JunglePath
	module API
		module Helpers
			module Logging
				def log(info)
					logger.info info
					puts info
				end

				#def set_logger logger
				#	@logger = logger
				#end

				def logger
					#API.logger
					#Logger.new(configatron.application.logger)
					#@logger
					jungle.application.logger
				end

				def get_log_file_list
					Dir.entries('logs').map {|n| "#{n.split('.')[0]}.log.gz"}
				end

				def gzip_log_file filename
					filename = "#{filename.split('.')[0]}.log"
					Dir.mkdir('temp') unless File.exists? 'temp'
					data = File.read(File.join('logs', filename))
					zfilename = File.join('temp', "#{filename}.gz")
					Zlib::GzipWriter.open(zfilename) do |gzip|
						gzip << data
						gzip.close
					end
					zfilename
				end
			end
		end
	end
end
