require 'rack'

module JunglePath
	module API
		module Helpers
			module Rescues
				def self.handle_not_found(e)
					response = {error_code: 404, error_message: e.message}.to_json
					log response
					Rack::Response.new(response, 404).finish
				end
			end
		end
	end
end
