#\ -w -p 8087
# config.ru
#require 'opal'
#require 'sinatra'
require 'time'
#require 'rack/mobile-detect'
require 'jungle_path/migration'
#require_relative '../lib/rack_json_body_parser'
require_relative 'api/custom'
require_relative 'config/config' # contains all settings except sensitive data set to nil. Put sensitive data (passwords, etc.) in config/override.rb and .gitignore override.rb!
require_relative 'schemas/schema'
require_relative 'db/db'

puts "startup at #{Time.now}."

#use Rack::MobileDetect
#use Rack::CommonLogger, configatron.application.logger
#use Rack::PostBodyContentTypeParser, true

if jungle.on_startup.run_database_migrations
	puts "running (main) database migrations..."
	puts "set jungle.on_startup.run_database_migrations = false in your config.rb or override.rb to prevent running main database migrations at startup."
	Migration.run Schema, ServerAPI::DB.instance
else
	puts "skipping database (main) migrations."
	puts "set jungle.on_startup.run_database_migrations = true in your config.rb or override.rb to run main database migrations at startup."
end

map('/') {run Server::API}
