module JunglePath
	module DBAccess
		require 'jungle_path/db_access/io/db'

		module Import
			require 'jungle_path/db_access/import'

			class Delete
		    def initialize(config, logger=nil)
		      @logger = logger
		      @path = config.import_file_path
		      #@db = JunglePath::DBAccess::IO::DB.new(config, @logger)
		    end

		    def _models(model, force=false)
		      if force
		        file_name = JunglePath::DBAccess::Import.data_file_name(@path, model.class.table_name)
		        File.delete file_name if File.exist?(file_name)
		        #if @db
		        #  @db.delete._models(model, force)
		        #end
		      end
		    end
		  end
		end
	end
end
