module JunglePath
	module DBAccess
		module IO
			require 'jungle_path/db_access/io/init_db'

			class Delete
				include JunglePath::DBAccess::IO::InitDB

				def _model(model)
					ds = @db[model._table_name].where(model._primary_key)
					#puts ds.sql
					ds.delete
				end

				def _models(model, confirm=false)
					ds = @db[model._table_name].where(handle_json_columns(model, model._has_value_hash))
					return ds.delete if confirm
					return ds.sql
				end
			end
		end
	end
end
