module JunglePath
	module Gen
		module SchemaTree
			require 'jungle_path/gen/schema_tree/match_columns'
			class MatchTableData
				attr_reader :name, :columns, :regexp
				def initialize name, columns
					@name = name
					@columns = JunglePath::Gen::SchemaTree::MatchColumns.new(columns)
					@regexp = @name if @name and @name.class == Regexp
				end

				def nil_columns?
					@columns.is_nil
				end

				def to_s
					"name: #{@name}, columns: #{@columns}, regexp: #{@regexp}."
				end
			end
		end
	end
end
