# query.rb
#require 'pry-byebug'
#require 'pp'
#use: binding.pry where you want a break point.

module JunglePath
  module Query
    class SortField
      attr_accessor :string_value, :field_name, :entities, :sort # :asc or :desc
      #def initialize(string_value, field_name, entities, sort_order=nil)
      def initialize(string_value, field_name, entities, sort=nil)
        @string_value = string_value
        @field_name = field_name
        @entities = entities
        if sort
          @sort = sort.to_sym
        else
          @sort = :asc
        end
        #puts "sort_field.string_value: #{@string_value}."
        #puts "sort_field.field_name: #{@field_name}."
        #puts "sort_field.entities: #{@entities}."
      end

      def value
        if @sort == "asc"
          @string_value
        else
          "#{@string_value} #{@sort}"
        end
      end
    end
  end
end
